# Class CIM_CIMXMLCapabilities
extends CIM_WBEMProtocolServiceCapabilities

The capabilities for the CIM-XML protocol. For more information, see DSP0200, DSP0201 and DSP0203.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_ProtocolServiceCapabilities
|
+--CIM_WBEMProtocolServiceCapabilities
|
+--CIM_CIMXMLCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The capabilities for the CIM-XML protocol. For more information, see DSP0200, DSP0201 and DSP0203.
UMLPackagePath | string | CIM::Interop::WBEMProtocol
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MultipleOperationsSupported | boolean |
Description | string | Multiple operations conveniently allow multiple method invocations to be batched into a single HTTP message. This value shall be true if multiple operations are supported; false otherwise.
Required | boolean | true
Validated | boolean |
Description | string | Describes whether the CIM Server is strictly validating (validates the XML document against the DTD) or not (loosely validating).
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
GenericOperationCapabilities | string | CIM_WBEMProtocolServiceCapabilities
InstanceID | string | CIM_Capabilities
ListeningPortManagementSupported | boolean | CIM_ProtocolServiceCapabilities
MaxConnections | uint16 | CIM_ProtocolServiceCapabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
MaxListeningPorts | uint16 | CIM_ProtocolServiceCapabilities
AuthenticationMechanismsDescriptions | string[] | CIM_WBEMProtocolServiceCapabilities
AuthenticationMechanismsSupported | sint16[] | CIM_WBEMProtocolServiceCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities
WBEMProtocolVersionsSupported | string[] | CIM_WBEMProtocolServiceCapabilities

## Class Methods